textures/castle_terrain/ter_rockgravel
{
    qer_editorimage textures/new_castle/terrain/ter_rockgravel.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
    surfaceparm landmine
    surfaceparm grasssteps
	
	{
		map textures/new_castle/terrain/rock1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/gravel.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/castle_terrain/ter_grassgravel
{
    qer_editorimage textures/new_castle/terrain/ter_grassgravel.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
    surfaceparm landmine
    surfaceparm grasssteps
	
	{
		map textures/new_castle/terrain/grass1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/gravel.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_terrain/ter_gravelgrass
{
    qer_editorimage textures/new_castle/terrain/ter_gravelgrass.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
    surfaceparm landmine
    surfaceparm grasssteps
	
	{
		map textures/new_castle/terrain/gravel.tga	// Primary
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/grass1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_terrain/ter_grassdirt
{
    qer_editorimage textures/new_castle/terrain/ter_grassdirt.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
    surfaceparm landmine
    surfaceparm grasssteps
	
	{
		map textures/new_castle/terrain/grass1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/dirt1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_terrain/ter_dirtgrass
{
    qer_editorimage textures/new_castle/terrain/ter_dirtgrass.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
    surfaceparm landmine
    surfaceparm grasssteps
	
	{
		map textures/new_castle/terrain/dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/grass1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_terrain/rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/new_castle/terrain/rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/rock2.tga
		blendFunc filter
	}
}

models/castle_terrain/rock2
{
	q3map_clipModel
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/new_castle/terrain/rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/rock2.tga
		blendFunc filter
	}
}

textures/castle_terrain/bld_rock2_to_rock1		// Normal texture blending
{
    qer_editorimage textures/new_castle/terrain/bld_rock1_to_rock2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 120
	
	{
		map textures/new_castle/terrain/rock2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/new_castle/terrain/gravel.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}